import * as yup from 'yup';
import { SchemaOf } from 'yup';

import { IValidationScheme } from '../../../typescript/redux/authorization/interfaces';

const validationSchemaRegistration: SchemaOf<IValidationScheme> = yup.object({
  email: yup
    .string()
    .email('Enter a valid email')
    .required('Email is required'),
  password: yup
    .string()
    .min(8, 'Password should be of minimum 8 characters length')
    .max(20, 'Password should be less 20 characters')
    .required('Password is required'),
});

const validationSchemaSignIn: SchemaOf<IValidationScheme> = yup.object({
  email: yup
    .string()
    .email('Enter a valid email')
    .required('Email is required'),
  password: yup
    .string()
    .min(8, 'Password should be of minimum 8 characters length')
    .max(20, 'Password should be less 20 characters')
    .required('Password is required'),
});

export { validationSchemaRegistration, validationSchemaSignIn };
