import React from 'react';
import { NavLink } from 'react-router-dom';

import s from './Button.module.css';

type ButtonProps = {
  text: string;
  to: string;
};

const Button = ({ text, to }: ButtonProps) => {
  return (
    <button type="button" className={s.button_navigation}>
      <NavLink
        exact
        to={to}
        activeClassName={s.navigation_link_active}
        className={s.navigation_link}
      >
        {text}
      </NavLink>
    </button>
  );
};

export default Button;
