import { Route, Redirect } from 'react-router-dom';
import { connect } from 'react-redux';

import {
  IPrivateState,
  IPrivateProps,
} from '../../../typescript/components/Routes/interfaces';

function PrivateRoute({ children, token, ...routeProps }: IPrivateProps) {
  return (
    <Route {...routeProps}>
      {token ? children : <Redirect to="/authorization" />}
    </Route>
  );
}

const mapStateToProps = (state: IPrivateState) => ({
  token: state.authorization.token,
});

export default connect(mapStateToProps, null)(PrivateRoute);
