import { Route, Redirect } from 'react-router-dom';
import { connect } from 'react-redux';

import {
  IPublicState,
  IPublicProps,
} from '../../../typescript/components/Routes/interfaces';

function PublicRoute({
  children,
  restricted = false,
  token,
  ...routeProps
}: IPublicProps) {
  const shouldRedirect = token && restricted;

  return (
    <Route {...routeProps}>
      {shouldRedirect ? <Redirect to="/" /> : children}
    </Route>
  );
}

const mapStateToProps = (state: IPublicState) => ({
  token: state.authorization.token,
});

export default connect(mapStateToProps, null)(PublicRoute);
