import { connect } from 'react-redux';

import s from './UserInterface.module.css';
import {
  IUserInterfaceProps,
  IUserInterfaceState,
} from '../../typescript/components/UserInterface/interfaces';

const UserInterface = ({ cash, login }: IUserInterfaceProps) => {
  return (
    <div className={s.interfaceWrapper}>
      <p className={s.interfaceWrapper__title}>
        cash : {cash ? cash : 'missed'}$
      </p>
      <p className={s.interfaceWrapper__title}>
        Login : {login ? login : 'missed'}
      </p>
    </div>
  );
};

const mapStateToProps = (state: IUserInterfaceState) => ({
  cash: state.user.cash,
  login: state.authorization.login,
});

export default connect(mapStateToProps, null)(UserInterface);
