import { IAuthorizationPayload } from '../../../typescript/redux/authorization/interfaces';
import { authorizationActionType } from '../actionType';

const actionLoginSuccess = (payload: IAuthorizationPayload) => ({
  type: authorizationActionType.loginSuccess,
  payload: payload,
});

const actionLoginReject = () => ({
  type: authorizationActionType.loginReject,
  payload: {},
});

const actionLogoutSuccess = (payload: IAuthorizationPayload) => ({
  type: authorizationActionType.logoutSuccess,
  payload: payload,
});

const actionLogoutReject = () => ({
  type: authorizationActionType.logoutReject,
  payload: {},
});

export {
  actionLoginSuccess,
  actionLoginReject,
  actionLogoutSuccess,
  actionLogoutReject,
};
