import {
  actionGetCategoriesSusses,
  actionGetCategoriesReject,
} from '../action';
import { actionLoading } from '../../loading/action';
import { categoriesGQL } from '../../../api-data';
import { ICategory } from '../../../typescript/components/Categories/interfaces';

const asyncGetCategories = () => async (dispatch: any) => {
  try {
    dispatch(actionLoading(true));

    const data = await categoriesGQL<ICategory[]>();

    if (data && data.length > 0) {
      dispatch(actionGetCategoriesSusses(data));
    } else {
      throw new Error('Wrong request');
    }
  } catch (e) {
    dispatch(actionGetCategoriesReject());
  } finally {
    dispatch(actionLoading(false));
  }
};

export { asyncGetCategories };
