import { actionGetGoodsSusses, actionGetGoodsReject } from '../action';
import { actionLoading } from '../../loading/action';
import { goodsGQL } from '../../../api-data';
import { IGood } from '../../../typescript/components/Goods/interfaces';

const asyncGetGoods = () => async (dispatch: any) => {
  try {
    dispatch(actionLoading(true));
    const data = await goodsGQL<IGood[]>();
    if (data && data.length > 0) {
      dispatch(actionGetGoodsSusses(data));
    } else {
      throw new Error('Wrong request');
    }
  } catch (e) {
    dispatch(actionGetGoodsReject());
  } finally {
    dispatch(actionLoading(false));
  }
};

export { asyncGetGoods };
