import { actionGetOrdersSusses, actionGetOrdersReject } from '../action';
import { actionLoading } from '../../loading/action';
import { ordersGQL } from '../../../api-data';
import { IOrder } from '../../../typescript/components/Orders/interfaces';

const asyncGetOrders = () => async (dispatch: any) => {
  try {
    dispatch(actionLoading(true));
    const data = await ordersGQL<IOrder[]>();
    if (data && data.length > 0) {
      dispatch(actionGetOrdersSusses(data));
    } else {
      throw new Error('Wrong request');
    }
  } catch (e) {
    dispatch(actionGetOrdersReject());
  } finally {
    dispatch(actionLoading(false));
  }
};

export { asyncGetOrders };
